javax.mail

## Class FolderClosedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.mail.MessagingException
      - - javax.mail.FolderClosedException

- All Implemented Interfaces:
    Serializable

      public class FolderClosedException
      extends MessagingException

  This exception is thrown when a method is invoked on a Messaging object and the Folder that owns that object has died due to some reason.

  Following the exception, the Folder is reset to the "closed" state. All messaging objects owned by the Folder should be considered invalid. The Folder can be reopened using the "open" method to reestablish the lost connection.

  The getMessage() method returns more detailed information about the error that caused this exception.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FolderClosedException(Folder folder)` Constructor
    `FolderClosedException(Folder folder, String message)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Folder` | `getFolder()` Returns the dead Folder object

    - ### Methods inherited from class javax.mail.MessagingException

      `getCause, getNextException, setNextException, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FolderClosedException

          public FolderClosedException(Folder folder)

      Constructor
      Parameters:
        `folder` - the Folder

    - #### FolderClosedException

          public FolderClosedException(Folder folder,
                               String message)

      Constructor
      Parameters:
        `folder` - the Folder
        `message` - the detailed error message

  - ### Method Detail

    - #### getFolder

          public Folder getFolder()

      Returns the dead Folder object

Copyright © 2013 Oracle. All Rights Reserved.